package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.common.ComPartners;
import com.bcxin.ins.vo.DwzPage;
import com.bcxin.mybatisplus.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ComPartnersAPIService extends IService<ComPartners> {

	public List<ComPartners> findComPartnersList(ComPartners comPartners, DwzPage page);

	public boolean uploadFile(MultipartFile logoFile, ComPartners comPartners, String path);

	public boolean deleteLogoFile(String logoPath, ComPartners comPartners);

	public boolean upConfirmationFile(MultipartFile confirmationFile, ComPartners comPartners, String path);

	public boolean deleteConfirmationFile(String confirmationPath, ComPartners comPartners);
}
